Index: /CMIP5/historical/v2.historicalMR1/COMP/lmdz.card
===================================================================
--- /CMIP5/historical/v2.historicalMR1/COMP/lmdz.card	(revision 1199)
+++ /CMIP5/historical/v2.historicalMR1/COMP/lmdz.card	(revision 1200)
@@ -47,5 +47,5 @@
 	    (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/CFC11_1765_2005.txt, .),\
 	    (${R_BC}/ATM/${config_UserChoices_TagName}/IPCC_AR5/HISTORIQUE/CFC12_1765_2005.txt, .),\
-	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1855.nc, aerosols.nat.nc)
+	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1855_v2.nc, aerosols.nat.nc)
 
 [SmoothFiles]
@@ -90,5 +90,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = (upwd, lwcon, iwcon, lcc3dcon, lcc3dstra, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres, rneb, rnebcon, rhum, mc, paprs, ec550aer, concoa, concbc, concso4, concss, concdust, reffclws, reffclwc, Aga)
-ChunckJob3D = 100Y
+ChunckJob3D = 50Y
 Seasonal=ON
 
@@ -99,5 +99,5 @@
 ChunckJob2D = NONE
 TimeSeriesVars3D = (clcalipso, clisccp2_c01, clisccp2_c02, clisccp2_c03, clisccp2_c04, clisccp2_c05, clisccp2_c06, clisccp2_c07, parasol_refl)
-ChunckJob3D = 100Y
+ChunckJob3D = 50Y
 Seasonal=OFF
 
@@ -124,5 +124,5 @@
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
 TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, pbase, ptop, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, LWdnSFCclr, SWdnSFC, SWdnSFCclr, SWdnTOA, LWupSFCclr,SWupSFC, SWupSFCclr, SWupTOA, SWupTOAclr, t2m, t2m_max, t2m_min, topl, topl0, tops, tsol, u10m, v10m, wind10m, wind10max)
-ChunckJob2D = 200Y
+ChunckJob2D = 50Y
 TimeSeriesVars3D = (lwcon, iwcon, mc, rhum, temp, theta, ovap, geop, vitu, vitv, vitw, pres, paprs)
 ChunckJob3D = 10Y
@@ -133,5 +133,5 @@
 GatherWithInternal = (lon, lat, pressure2, height, sza, time_counter, time_counter_bnds)
 TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso, tclisccp, albisccp, ctpisccp)
-ChunckJob2D = 200Y
+ChunckJob2D = 50Y
 TimeSeriesVars3D = (clcalipso, clisccp2_c01, clisccp2_c02, clisccp2_c03, clisccp2_c04, clisccp2_c05, clisccp2_c06, clisccp2_c07, parasol_refl)
 ChunckJob3D = 10Y
@@ -151,5 +151,5 @@
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
 TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, t2m, tsol, u10m, v10m)
-ChunckJob2D = 50Y
+ChunckJob2D = 20Y
 TimeSeriesVars3D = (temp, theta, ovap, vitu, vitv)
 ChunckJob3D = 10Y
@@ -178,5 +178,5 @@
 GatherWithInternal = (lon, lat, presnivs, time_counter)
 TimeSeriesVars2D = (phis, tsol, t2m, q2m, u10m, v10m, psol, topl, bils)
-ChunckJob2D = 50Y
+ChunckJob2D = 20Y
 TimeSeriesVars3D = ()
 ChunckJob3D = OFF
@@ -187,5 +187,5 @@
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
 TimeSeriesVars2D = (precip, flat, sens, LWdnSFC, LWupSFC, SWdnSFC, SWupSFC, pluc, snow, LWdnSFCclr, SWdnSFCclr, LWupSFCclr, cldt)
-ChunckJob2D = 50Y
+ChunckJob2D = 20Y
 TimeSeriesVars3D = ()
 ChunckJob3D = OFF
Index: /CMIP5/historical/v2.historicalMR1/COMP/orchidee.card
===================================================================
--- /CMIP5/historical/v2.historicalMR1/COMP/orchidee.card	(revision 1199)
+++ /CMIP5/historical/v2.historicalMR1/COMP/orchidee.card	(revision 1200)
@@ -15,5 +15,6 @@
 
 [SmoothFiles]
-List=(${R_BC}/SRF/${config_UserChoices_TagName}/PFTmap_1850to2005_AR5_LUHa.rc2/PFTmap_IPCC_${year_p1}.nc, PFTmap.nc, 12:12:)
+# get a map each december month and stop in 12/2004 : no map for last year ie 12/2005
+List=(${R_BC}/SRF/${config_UserChoices_TagName}/PFTmap_1850to2005_AR5_LUHa.rc2/PFTmap_IPCC_${year_p1}.nc, PFTmap.nc, 12:12:1860)
 
 [ParametersFiles]
@@ -45,5 +46,5 @@
 GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
 TimeSeriesVars2D= (mrsos, mrro)
-ChunckJob2D= 50Y
+ChunckJob2D= 10Y
 TimeSeriesVars3D= (ptn)
 ChunckJob3D= 10Y
Index: /CMIP5/historical/v2.historicalMR1/COMP/orchidee.driver
===================================================================
--- /CMIP5/historical/v2.historicalMR1/COMP/orchidee.driver	(revision 1199)
+++ /CMIP5/historical/v2.historicalMR1/COMP/orchidee.driver	(revision 1200)
@@ -87,4 +87,8 @@
     esac
 
+    # To prevent pft map update with year_p1 (2006) files when finishing historical
+    # Individual RCP will force update for 2006 when they start
+    [ ${year} -eq 2005 ] && ORCHIDEE_sed VEGET_UPDATE 0Y
+
     ORCHIDEE_sed HYDROL_CWRR ${orchidee_UserChoices_NEWHYDROL}
 
Index: /CMIP5/historical/v2.historicalMR1/PARAM/physiq.def_L39
===================================================================
--- /CMIP5/historical/v2.historicalMR1/PARAM/physiq.def_L39	(revision 1199)
+++ /CMIP5/historical/v2.historicalMR1/PARAM/physiq.def_L39	(revision 1200)
@@ -54,4 +54,10 @@
 flag_pres         =  2, 3, 7, 6, 6
 name_pres         =  pres
+# w500 for histday
+flag_w500         =  1, 5, 3, 10, 10
+name_w500         =  w500
+# t700 for histday
+flag_t700         =  1, 5, 3, 10, 10
+name_t700         =  t700
 #
 # Parametres niveau de sorties differents fichiers
Index: /CMIP5/historical/v2.historicalMR1/README
===================================================================
--- /CMIP5/historical/v2.historicalMR1/README	(revision 1199)
+++ /CMIP5/historical/v2.historicalMR1/README	(revision 1200)
@@ -9,2 +9,6 @@
 
 
+19/11/2010 
+used with TagName=IPSLCM5A-MR for 144x142x39
+
+
Index: /CMIP5/historical/v2.historicalMR1/config.card
===================================================================
--- /CMIP5/historical/v2.historicalMR1/config.card	(revision 1199)
+++ /CMIP5/historical/v2.historicalMR1/config.card	(revision 1200)
@@ -9,11 +9,11 @@
 [UserChoices]
 #============================
-JobName=EXP00
+JobName=v2.historicalMR1
 #----- Short Name of Experiment
 ExperimentName=historical
 #----- DEVT TEST PROD
-SpaceName=DEVT
-LongName="IPSLCM5A CMIP5 DEVT phase historical example with large outputs"
-TagName=IPSLCM5A
+SpaceName=PROD
+LongName="IPSLCM5A-MR CMIP5 PROD phase historical run with large outputs starting 1849-12-31 from piControlMR1 "
+TagName=IPSLCM5A-MR
 #============================
 #-- leap, noleap, 360d
@@ -22,5 +22,5 @@
 #-- "YYYY-MM-DD"
 DateBegin=1850-01-01
-DateEnd=1850-12-31
+DateEnd=2005-12-31
 #============================
 #-- 1Y, 1M, 5D, 1D Period Length of one trunk of simulation
@@ -56,10 +56,9 @@
 OverRule=y
 #D- Last day of the experience used as restart for all components
-RestartDate=1899-12-31
+RestartDate=1849-12-31
 #D- Define restart simulation name for all components
-# For historical simulation you have to start from an other simulation
-RestartJobName=XXXXXXX
+RestartJobName=piControlMR1
 #D- Path Server Group Login
-RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5A/DEVT/piControl
+RestartPath=${ARCHIVE}/IGCM_OUT/IPSLCM5A-MR/PROD/piControl
 
 #========================================================================
@@ -192,7 +191,7 @@
 #D- Do we rebuild parallel output, this flag determines
 #D- frequency of rebuild submission (use NONE for DRYRUN=3)
-RebuildFrequency=5Y
+RebuildFrequency=1Y
 #D- Do we rebuild parallel output from archive (use NONE to use SCRATCHDIR as buffer)
-RebuildFromArchive=true
+RebuildFromArchive=NONE
 #D- If you want to produce time series, this flag determines
 #D- frequency of post-processing submission (NONE if you don't want)