Index: CONFIG/LMDZOR/branches/LMDZOR_v4/CREATE/COMP/lmdz.card_Interannuel
===================================================================
--- CONFIG/LMDZOR/branches/LMDZOR_v4/CREATE/COMP/lmdz.card_Interannuel	(revision 1218)
+++ CONFIG/LMDZOR/branches/LMDZOR_v4/CREATE/COMP/lmdz.card_Interannuel	(revision 1219)
@@ -6,5 +6,5 @@
 [UserChoices]
 # Directory for parameter files
-PARAM_DIR=${SUBMIT_DIR}/../AMIP/PARAM
+PARAM_DIR=${SUBMIT_DIR}/../LMDZOR/PARAM
 
 [InitialStateFiles]
Index: CONFIG/LMDZOR/branches/LMDZOR_v4/LMDZOR/COMP/lmdz.card
===================================================================
--- CONFIG/LMDZOR/branches/LMDZOR_v4/LMDZOR/COMP/lmdz.card	(revision 1218)
+++ 	(revision )
@@ -1,191 +1,0 @@
-# $Id$
-
-[Compatibility]
-libIGCM=1.0
-
-[UserChoices]
-# You can choose here the name of create_etat0 you want to use
-# If noting is defined here, the job will get the JobName in the file  ../CREATE/config.card
-CREATE=ELC-${RESOL_ATM_3D}
-ByPass_hgardfou_teta=n
-ByPass_hgardfou_mats=n
-LMDZ_NbPeriod_adjust=3
-# LMDZ_NbPeriod_adjust=0
-# To force usage of this Bands file, put LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart Job Name
-# LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5/XXXXXXX/ATM/Debug/XXXXXXX_Bands_96x95x19_3prc.dat_3
-
-# To force higher writing level for aerosol. 
-# LMDZ_Freq_aero : frequency for writing (in PeriodLength : 10Years = 120) , 
-# LMDZ_Length_aero : length of writing (in PeriodLength : 1Year = 12). 
-# To cancel this option put LMDZ_Length_aero=0
-LMDZ_Freq_aero=120
-LMDZ_Length_aero=12
-
-# Set COSP activation and Outputs frequency (monthly, daily, HF) = y/n
-LMDZ_COSP_OK=y
-LMDZ_COSP_monthly=y
-LMDZ_COSP_daily=y
-LMDZ_COSP_hf=n
-
-# Set NMC Outputs frequency (monthly, daily, HF) = y/n
-LMDZ_NMC_monthly=y
-LMDZ_NMC_daily=y
-LMDZ_NMC_hf=y
-
-# Other specific parameters to this experience 
-aer_type=actuel
-pmagic=0.008
-
-# Nugding : ok_guide=y/n
-ok_guide=n
-
-[InitialStateFiles]
-List= (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Restart/${CREATE}_clim_start.nc,    start.nc) \
-      (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Restart/${CREATE}_clim_startphy.nc, startphy.nc)
-
-[BoundaryFiles]
-List= ()
-# With AR5 aerosols (including ASSO4M(=SO4), CSSO4M, AIBCM, ASBCM, AIPOMM, ASPOMM, ASSSM, CSSSM, SSSSM, CIDUSTM)
-# With AR5 ozone(tropo + strato from LMDZOR-INCA-REPROBUS simulations)
-ListNonDel= (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Boundary/${CREATE}_clim_limit.nc, limit.nc),\
-            (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Boundary/${CREATE}_climoz_LMDZ.nc, climoz_LMDZ.nc),\
-	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1995.nc, aerosols1980.nc),\
-	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1860.nc, aerosols.nat.nc)
-
-[ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}, physiq.def), \
-	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
-	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
-	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
-	(${SUBMIT_DIR}/PARAM/guide.def, .), \
-	(${SUBMIT_DIR}/PARAM/run.def, .), \
-	(${SUBMIT_DIR}/PARAM/traceur.def, .)
-
-[RestartFiles]
-List=	(restart.nc, restart.nc, start.nc), \
-	(restartphy.nc, restartphy.nc,  startphy.nc)
-
-[OutputText]
-List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, used_run.def, lmdz.x.prt)
-
-[OutputFiles]
-List=	(histmth.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,      Post_1M_histmth),     \
-	(histmthCOSP.nc,  ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,  Post_1M_histmthCOSP), \
-	(histmthNMC.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,   Post_1M_histmthNMC),  \
-	(dynzon.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_dynzon.nc,       Post_1M_dynzon),      \
-	(histday.nc,      ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,      Post_1D_histday),     \
-	(histdayCOSP.nc,  ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,  Post_1D_histdayCOSP), \
-	(histdayNMC.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayNMC.nc,   Post_1D_histdayNMC),  \
-	(histhf.nc,       ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,       Post_HF_histhf),      \
-	(histhfCOSP.nc,   ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfCOSP.nc,   Post_HF_histhfCOSP),  \
-	(histhfNMC.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfNMC.nc,    Post_HF_histhfNMC),   \
-	(histhf3h.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3h.nc,     Post_3H_histhf3h),    \
-        (histhf3hm.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3hm.nc,    Post_3H_histhf3hm)
-
-[Post_1M_histmth]
-Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
-TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, ftime_th, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, LWupTOA, LWupTOAclr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, mc, nettop, paprs, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (upwd, lwcon, iwcon, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres, rneb, rnebcon, rhum, ec550aer, concoa, concbc, concso4, concss, concdust, reffclws, reffclwc)
-ChunckJob3D = 100Y
-Seasonal=ON
-
-[Post_1M_histmthCOSP]
-Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE 
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
-
-[Post_1M_histmthNMC]
-Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
-ChunckJob3D = 100Y
-Seasonal=ON
-
-[Post_1M_dynzon]
-Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
-
-[Post_1D_histday]
-Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
-TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, SWdnSFC, LWupSFCclr,SWupSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
-ChunckJob2D = 200Y
-TimeSeriesVars3D = (rhum, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres)
-ChunckJob3D = 10Y
-Seasonal=OFF
-
-[Post_1D_histdayCOSP]
-Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE 
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
-
-[Post_1D_histdayNMC]
-Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap)
-ChunckJob3D = 10Y
-Seasonal=OFF
-
-[Post_HF_histhf]
-Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
-TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, t2m, tsol, u10m, v10m, t850, t700, t500, t200, t50, t10, u850, u700, u500, u200, u50, u10, v850, v700, v500, v200, v50, v10, phi850, phi700, phi200, phi50, phi10, w850, w700, w500, w200, w50, w10, q850, q700, q500, q200, q50, q10)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (temp, theta, ovap, vitu, vitv)
-ChunckJob3D = 10Y
-Seasonal=OFF
-
-[Post_HF_histhfCOSP]
-Patches = ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE 
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
-
-[Post_HF_histhfNMC]
-Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT)
-ChunckJob3D = 100Y
-Seasonal=OFF
-
-[Post_3H_histhf3h]
-Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
-TimeSeriesVars2D = (phis, tsol, t2m, q2m, u10m, v10m, psol, topl, bils, cdrh)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = ()
-ChunckJob3D = OFF
-Seasonal=OFF
-
-[Post_3H_histhf3hm]
-Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
-TimeSeriesVars2D = (precip, flat, sens, LWdnSFC, LWupSFC, SWdnSFC, SWupSFC, pluc, snow, LWdnSFCclr, SWdnSFCclr, LWupSFCclr, cldt)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = ()
-ChunckJob3D = OFF
-Seasonal=OFF
Index: CONFIG/LMDZOR/branches/LMDZOR_v4/LMDZOR/COMP/lmdz.card_Climat
===================================================================
--- CONFIG/LMDZOR/branches/LMDZOR_v4/LMDZOR/COMP/lmdz.card_Climat	(revision 1219)
+++ CONFIG/LMDZOR/branches/LMDZOR_v4/LMDZOR/COMP/lmdz.card_Climat	(revision 1219)
@@ -0,0 +1,191 @@
+# $Id$
+
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+# You can choose here the name of create_etat0 you want to use
+# If noting is defined here, the job will get the JobName in the file  ../CREATE/config.card
+CREATE=ELC-${RESOL_ATM_3D}
+ByPass_hgardfou_teta=n
+ByPass_hgardfou_mats=n
+LMDZ_NbPeriod_adjust=3
+# LMDZ_NbPeriod_adjust=0
+# To force usage of this Bands file, put LMDZ_NbPeriod_adjust=0 and replace XXXXXXX by Restart Job Name
+# LMDZ_Bands_file_name=${ARCHIVE}/IGCM_OUT/IPSLCM5/XXXXXXX/ATM/Debug/XXXXXXX_Bands_96x95x19_3prc.dat_3
+
+# To force higher writing level for aerosol. 
+# LMDZ_Freq_aero : frequency for writing (in PeriodLength : 10Years = 120) , 
+# LMDZ_Length_aero : length of writing (in PeriodLength : 1Year = 12). 
+# To cancel this option put LMDZ_Length_aero=0
+LMDZ_Freq_aero=120
+LMDZ_Length_aero=12
+
+# Set COSP activation and Outputs frequency (monthly, daily, HF) = y/n
+LMDZ_COSP_OK=y
+LMDZ_COSP_monthly=y
+LMDZ_COSP_daily=y
+LMDZ_COSP_hf=n
+
+# Set NMC Outputs frequency (monthly, daily, HF) = y/n
+LMDZ_NMC_monthly=y
+LMDZ_NMC_daily=y
+LMDZ_NMC_hf=y
+
+# Other specific parameters to this experience 
+aer_type=actuel
+pmagic=0.008
+
+# Nugding : ok_guide=y/n
+ok_guide=n
+
+[InitialStateFiles]
+List= (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Restart/${CREATE}_clim_start.nc,    start.nc) \
+      (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Restart/${CREATE}_clim_startphy.nc, startphy.nc)
+
+[BoundaryFiles]
+List= ()
+# With AR5 aerosols (including ASSO4M(=SO4), CSSO4M, AIBCM, ASBCM, AIPOMM, ASPOMM, ASSSM, CSSSM, SSSSM, CIDUSTM)
+# With AR5 ozone(tropo + strato from LMDZOR-INCA-REPROBUS simulations)
+ListNonDel= (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Boundary/${CREATE}_clim_limit.nc, limit.nc),\
+            (${R_OUT}/${config_UserChoices_TagName}/${CREATE}/ATM/Output/Boundary/${CREATE}_climoz_LMDZ.nc, climoz_LMDZ.nc),\
+	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1995.nc, aerosols1980.nc),\
+	    (${R_BC}/ATM/${config_UserChoices_TagName}/${RESOL_ATM}/AR5/HISTORIQUE/aerosols_11YearsClim_1860.nc, aerosols.nat.nc)
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/physiq.def_L${RESOL_ATM_Z}, physiq.def), \
+	(${SUBMIT_DIR}/PARAM/gcm.def_${RESOL_ATM_3D},    gcm.def),    \
+	(${SUBMIT_DIR}/PARAM/cosp_input_nl.txt,                .),    \
+	(${SUBMIT_DIR}/PARAM/cosp_output_nl.txt,               .),    \
+	(${SUBMIT_DIR}/PARAM/guide.def, .), \
+	(${SUBMIT_DIR}/PARAM/run.def, .), \
+	(${SUBMIT_DIR}/PARAM/traceur.def, .)
+
+[RestartFiles]
+List=	(restart.nc, restart.nc, start.nc), \
+	(restartphy.nc, restartphy.nc,  startphy.nc)
+
+[OutputText]
+List=   (physiq.def, gcm.def, run.def, traceur.def, guide.def, used_run.def, lmdz.x.prt)
+
+[OutputFiles]
+List=	(histmth.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,      Post_1M_histmth),     \
+	(histmthCOSP.nc,  ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,  Post_1M_histmthCOSP), \
+	(histmthNMC.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,   Post_1M_histmthNMC),  \
+	(dynzon.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_dynzon.nc,       Post_1M_dynzon),      \
+	(histday.nc,      ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,      Post_1D_histday),     \
+	(histdayCOSP.nc,  ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,  Post_1D_histdayCOSP), \
+	(histdayNMC.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayNMC.nc,   Post_1D_histdayNMC),  \
+	(histhf.nc,       ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,       Post_HF_histhf),      \
+	(histhfCOSP.nc,   ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfCOSP.nc,   Post_HF_histhfCOSP),  \
+	(histhfNMC.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfNMC.nc,    Post_HF_histhfNMC),   \
+	(histhf3h.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3h.nc,     Post_3H_histhf3h),    \
+        (histhf3hm.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3hm.nc,    Post_3H_histhf3hm)
+
+[Post_1M_histmth]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, ftime_th, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, LWupTOA, LWupTOAclr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, mc, nettop, paprs, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (upwd, lwcon, iwcon, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres, rneb, rnebcon, rhum, ec550aer, concoa, concbc, concso4, concss, concdust, reffclws, reffclwc)
+ChunckJob3D = 100Y
+Seasonal=ON
+
+[Post_1M_histmthCOSP]
+Patches = ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE 
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1M_histmthNMC]
+Patches = ()
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT, ozone, ozone_daylight)
+ChunckJob3D = 100Y
+Seasonal=ON
+
+[Post_1M_dynzon]
+Patches = ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1D_histday]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, phi500, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, SWdnSFC, LWupSFCclr,SWupSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max, u850, v850, w850, phi850, q850, t850, u700, v700, w700, phi700, q700, t700, u500, v500, w500, phi500, q500, t500, u200, v200, w200, phi200, q200, t200)
+ChunckJob2D = 200Y
+TimeSeriesVars3D = (rhum, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres)
+ChunckJob3D = 10Y
+Seasonal=OFF
+
+[Post_1D_histdayCOSP]
+Patches = ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE 
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_1D_histdayNMC]
+Patches = ()
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap)
+ChunckJob3D = 10Y
+Seasonal=OFF
+
+[Post_HF_histhf]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+TimeSeriesVars2D = (cldt, psol, q2m, slp, SWnetOR, SWdownOR, LWdownOR, precip, pluc, plul, t2m, tsol, u10m, v10m, t850, t700, t500, t200, t50, t10, u850, u700, u500, u200, u50, u10, v850, v700, v500, v200, v50, v10, phi850, phi700, phi200, phi50, phi10, w850, w700, w500, w200, w50, w10, q850, q700, q500, q200, q50, q10)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = (temp, theta, ovap, vitu, vitv)
+ChunckJob3D = 10Y
+Seasonal=OFF
+
+[Post_HF_histhfCOSP]
+Patches = ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds, aire)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE 
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
+Seasonal=OFF
+
+[Post_HF_histhfNMC]
+Patches = ()
+GatherWithInternal = (lon, lat, plev, time_counter, time_counter_bnds)
+TimeSeriesVars2D = ()
+ChunckJob2D = NONE
+TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap, psbg, uv, vq, vT, wq, vphi, wT, uxu, vxv, TxT)
+ChunckJob3D = 100Y
+Seasonal=OFF
+
+[Post_3H_histhf3h]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+TimeSeriesVars2D = (phis, tsol, t2m, q2m, u10m, v10m, psol, topl, bils, cdrh)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = ()
+ChunckJob3D = OFF
+Seasonal=OFF
+
+[Post_3H_histhf3hm]
+Patches= ()
+GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
+TimeSeriesVars2D = (precip, flat, sens, LWdnSFC, LWupSFC, SWdnSFC, SWupSFC, pluc, snow, LWdnSFCclr, SWdnSFCclr, LWupSFCclr, cldt)
+ChunckJob2D = 50Y
+TimeSeriesVars3D = ()
+ChunckJob3D = OFF
+Seasonal=OFF
Index: CONFIG/LMDZOR/branches/LMDZOR_v4/LMDZOR/COMP/orchidee.card
===================================================================
--- CONFIG/LMDZOR/branches/LMDZOR_v4/LMDZOR/COMP/orchidee.card	(revision 1218)
+++ 	(revision )
@@ -1,53 +1,0 @@
-[Compatibility]
-libIGCM=1.0
-
-[UserChoices]
-NEWHYDROL=n
-sechiba_LEVEL=11
-VEGET_UPDATE=0Y
-LAND_COVER_CHANGE=n
-
-[InitialStateFiles]
-List=	(${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc,      . ), \
-	(${R_INIT}/SRF/${config_UserChoices_TagName}/routing.nc,          . ), \
-	(${R_INIT}/SRF/${config_UserChoices_TagName}/PFTmap_IPCC_2000.nc, PFTmap.nc)
-
-[BoundaryFiles]
-List=	()
-ListNonDel= ()
-
-[SmoothFiles]
-List=()
-
-[ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/orchidee.def, .)
-
-[RestartFiles]
-# List restart that have to be saved/restored each loop (file out, saved, and in) :
-List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc)
-
-[OutputText]
-List=   (out_orchidee, orchidee.def)
-
-[OutputFiles]
-List=	(sechiba_history.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history), \
-        (sechiba_out_2.nc, ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc, Post_HF_sechiba_out_2), \
-        (orchidee_watchout.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_watchout.nc, NONE)
-
-[Post_1M_sechiba_history]
-Patches = ()
-GatherWithInternal = (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
-TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, rain, runoff, snow, snownobio, snowf, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, CO2FLUX, ptn, nee)
-ChunckJob3D = NONE
-Seasonal=ON
-
-[Post_HF_sechiba_out_2]
-Patches= ()
-GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
-TimeSeriesVars2D= (mrsos, mrro)
-ChunckJob2D= 50Y
-TimeSeriesVars3D= (ptn)
-ChunckJob3D= 10Y
-Seasonal= OFF
Index: CONFIG/LMDZOR/branches/LMDZOR_v4/LMDZOR/COMP/orchidee.card_Climat
===================================================================
--- CONFIG/LMDZOR/branches/LMDZOR_v4/LMDZOR/COMP/orchidee.card_Climat	(revision 1219)
+++ CONFIG/LMDZOR/branches/LMDZOR_v4/LMDZOR/COMP/orchidee.card_Climat	(revision 1219)
@@ -0,0 +1,53 @@
+[Compatibility]
+libIGCM=1.0
+
+[UserChoices]
+NEWHYDROL=n
+sechiba_LEVEL=11
+VEGET_UPDATE=0Y
+LAND_COVER_CHANGE=n
+
+[InitialStateFiles]
+List=	(${R_INIT}/SRF/${config_UserChoices_TagName}/soils_param.nc,      . ), \
+	(${R_INIT}/SRF/${config_UserChoices_TagName}/routing.nc,          . ), \
+	(${R_INIT}/SRF/${config_UserChoices_TagName}/PFTmap_IPCC_2000.nc, PFTmap.nc)
+
+[BoundaryFiles]
+List=	()
+ListNonDel= ()
+
+[SmoothFiles]
+List=()
+
+[ParametersFiles]
+List=	(${SUBMIT_DIR}/PARAM/orchidee.def, .)
+
+[RestartFiles]
+# List restart that have to be saved/restored each loop (file out, saved, and in) :
+List=	(sechiba_rest_out.nc, sechiba_rest.nc, sechiba_rest_in.nc)
+
+[OutputText]
+List=   (out_orchidee, orchidee.def)
+
+[OutputFiles]
+List=	(sechiba_history.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history), \
+        (sechiba_out_2.nc, ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc, Post_HF_sechiba_out_2), \
+        (orchidee_watchout.nc, ${R_OUT_SRF_O_M}/${PREFIX}_1M_watchout.nc, NONE)
+
+[Post_1M_sechiba_history]
+Patches = ()
+GatherWithInternal = (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+TimeSeriesVars2D = (nobiofrac, alb_nir, alb_vis, bqsb, evap, fluxlat, fluxsens, gqsb, netrad, qair, rain, runoff, snow, snownobio, snowf, subli, tair, temp_sol, tsol_max, tsol_min, drainage,mrsos, mrso, mrros, mrro, prveg, evspsblveg, evspsblsoi, tran, treeFrac, grassFrac, cropFrac, baresoilFrac, residualFrac)
+ChunckJob2D = NONE
+TimeSeriesVars3D = (lai, maxvegetfrac, vegetfrac, CO2FLUX, ptn, nee)
+ChunckJob3D = NONE
+Seasonal=ON
+
+[Post_HF_sechiba_out_2]
+Patches= ()
+GatherWithInternal= (lon, lat, veget, time_counter, time_counter_bnds, Areas, Contfrac)
+TimeSeriesVars2D= (mrsos, mrro)
+ChunckJob2D= 50Y
+TimeSeriesVars3D= (ptn)
+ChunckJob3D= 10Y
+Seasonal= OFF