Index: CONFIG/IPSLCM/IPSLCM5A/Chistorical/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5A/Chistorical/COMP/lmdz.card	(revision 1248)
+++ CONFIG/IPSLCM/IPSLCM5A/Chistorical/COMP/lmdz.card	(revision 1283)
@@ -125,5 +125,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
-TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, pbase, ptop, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, LWdnSFCclr, SWdnSFC, SWdnSFCclr, SWdnTOA, LWupSFCclr,SWupSFC, SWupSFCclr, SWupTOA, SWupTOAclr, t2m, t2m_max, t2m_min, topl, topl0, tops, tsol, u10m, v10m, wind10m, wind10max)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, pbase, ptop, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, LWdnSFCclr, SWdnSFC, SWdnSFCclr, SWdnTOA, LWupSFCclr,SWupSFC, SWupSFCclr, SWupTOA, SWupTOAclr, t2m, t2m_max, t2m_min, topl, topl0, tops, tsol, t700, u10m, v10m, wind10m, wind10max, w500)
 ChunckJob2D = 50Y
 TimeSeriesVars3D = (lwcon, iwcon, mc, rhum, temp, theta, ovap, geop, vitu, vitv, vitw, pres, paprs)
Index: CONFIG/IPSLCM/IPSLCM5A/Chistorical/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5A/Chistorical/PARAM/physiq.def_L39	(revision 1248)
+++ CONFIG/IPSLCM/IPSLCM5A/Chistorical/PARAM/physiq.def_L39	(revision 1283)
@@ -54,4 +54,10 @@
 flag_pres         =  2, 3, 7, 6, 6
 name_pres         =  pres
+# w500 for histday
+flag_w500         =  1, 5, 3, 10, 10
+name_w500         =  w500
+# t700 for histday
+flag_t700         =  1, 5, 3, 10, 10
+name_t700         =  t700
 #
 # Parametres niveau de sorties differents fichiers
Index: CONFIG/IPSLCM/IPSLCM5A/CpiControl/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5A/CpiControl/COMP/lmdz.card	(revision 1248)
+++ CONFIG/IPSLCM/IPSLCM5A/CpiControl/COMP/lmdz.card	(revision 1283)
@@ -120,5 +120,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
-TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, precip, pluc, plul, prw, psol, q2m, sens, sicf, slp, soll, sols, SWdnSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, precip, pluc, plul, prw, psol, q2m, sens, sicf, slp, soll, sols, SWdnSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, t700, u10m, v10m, wind10m, wind10max, w500)
 ChunckJob2D = 200Y
 TimeSeriesVars3D = (lwcon, iwcon, mc, rhum, temp, theta, ovap, geop, vitu, vitv, vitw, pres, paprs)
Index: CONFIG/IPSLCM/IPSLCM5A/CpiControl/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5A/CpiControl/PARAM/physiq.def_L39	(revision 1248)
+++ CONFIG/IPSLCM/IPSLCM5A/CpiControl/PARAM/physiq.def_L39	(revision 1283)
@@ -49,4 +49,10 @@
 flag_pres         =  2, 3, 7, 6, 6
 name_pres         =  pres
+# w500 for histday
+flag_w500         =  1, 5, 3, 10, 10
+name_w500         =  w500
+# t700 for histday
+flag_t700         =  1, 5, 3, 10, 10
+name_t700         =  t700
 # Parametres niveau de sorties differents fichiers 
 #
Index: CONFIG/IPSLCM/IPSLCM5A/historical/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5A/historical/COMP/lmdz.card	(revision 1248)
+++ CONFIG/IPSLCM/IPSLCM5A/historical/COMP/lmdz.card	(revision 1283)
@@ -123,5 +123,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
-TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, pbase, ptop, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, LWdnSFCclr, SWdnSFC, SWdnSFCclr, SWdnTOA, LWupSFCclr,SWupSFC, SWupSFCclr, SWupTOA, SWupTOAclr, t2m, t2m_max, t2m_min, topl, topl0, tops, tsol, u10m, v10m, wind10m, wind10max)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, iwp, lwp, pbase, ptop, precip, pluc, plul, prw, psol, rh2m, rh2m_min, rh2m_max, q2m, sens, sicf, slp, soll, sols, LWdnSFC, LWdnSFCclr, SWdnSFC, SWdnSFCclr, SWdnTOA, LWupSFCclr,SWupSFC, SWupSFCclr, SWupTOA, SWupTOAclr, t2m, t2m_max, t2m_min, topl, topl0, tops, tsol, t700, u10m, v10m, wind10m, wind10max, w500)
 ChunckJob2D = 50Y
 TimeSeriesVars3D = (lwcon, iwcon, mc, rhum, temp, theta, ovap, geop, vitu, vitv, vitw, pres, paprs)
Index: CONFIG/IPSLCM/IPSLCM5A/historical/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5A/historical/PARAM/physiq.def_L39	(revision 1248)
+++ CONFIG/IPSLCM/IPSLCM5A/historical/PARAM/physiq.def_L39	(revision 1283)
@@ -54,4 +54,10 @@
 flag_pres         =  2, 3, 7, 6, 6
 name_pres         =  pres
+# w500 for histday
+flag_w500         =  1, 5, 3, 10, 10
+name_w500         =  w500
+# t700 for histday
+flag_t700         =  1, 5, 3, 10, 10
+name_t700         =  t700
 #
 # Parametres niveau de sorties differents fichiers
Index: CONFIG/IPSLCM/IPSLCM5A/piControl/COMP/lmdz.card
===================================================================
--- CONFIG/IPSLCM/IPSLCM5A/piControl/COMP/lmdz.card	(revision 1248)
+++ CONFIG/IPSLCM/IPSLCM5A/piControl/COMP/lmdz.card	(revision 1283)
@@ -117,5 +117,5 @@
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_counter_bnds)
-TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, precip, pluc, plul, prw, psol, q2m, sens, sicf, slp, soll, sols, SWdnSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, precip, pluc, plul, prw, psol, q2m, sens, sicf, slp, soll, sols, SWdnSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, t700, u10m, v10m, wind10m, wind10max, w500)
 ChunckJob2D = 200Y
 TimeSeriesVars3D = (lwcon, iwcon, mc, rhum, temp, theta, ovap, geop, vitu, vitv, vitw, pres, paprs)
Index: CONFIG/IPSLCM/IPSLCM5A/piControl/PARAM/physiq.def_L39
===================================================================
--- CONFIG/IPSLCM/IPSLCM5A/piControl/PARAM/physiq.def_L39	(revision 1248)
+++ CONFIG/IPSLCM/IPSLCM5A/piControl/PARAM/physiq.def_L39	(revision 1283)
@@ -49,4 +49,10 @@
 flag_pres         =  2, 3, 7, 6, 6
 name_pres         =  pres
+# w500 for histday
+flag_w500         =  1, 5, 3, 10, 10
+name_w500         =  w500
+# t700 for histday
+flag_t700         =  1, 5, 3, 10, 10
+name_t700         =  t700
 # Parametres niveau de sorties differents fichiers 
 #