Index: /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_AER/COMP/lmdz.driver
===================================================================
--- /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_AER/COMP/lmdz.driver	(revision 1295)
+++ /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_AER/COMP/lmdz.driver	(revision 1296)
@@ -101,7 +101,8 @@
     if [ ${CumulPeriod} -eq 1 ] ; then
         if [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
-            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat; IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
+            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
             IGCM_sys_Put_Out Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_0
             IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_0"
+	    IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat	
         fi
     fi
Index: /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_CH4/COMP/lmdz.driver
===================================================================
--- /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_CH4/COMP/lmdz.driver	(revision 1295)
+++ /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_CH4/COMP/lmdz.driver	(revision 1296)
@@ -101,7 +101,8 @@
     if [ ${CumulPeriod} -eq 1 ] ; then
         if [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
-            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat; IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
+            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat;
             IGCM_sys_Put_Out Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_0
             IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_0"
+ 	    IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
         fi
     fi
Index: /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_CH4_AER/COMP/lmdz.driver
===================================================================
--- /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_CH4_AER/COMP/lmdz.driver	(revision 1295)
+++ /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_CH4_AER/COMP/lmdz.driver	(revision 1296)
@@ -101,7 +101,8 @@
     if [ ${CumulPeriod} -eq 1 ] ; then
         if [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
-            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat; IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
+            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
             IGCM_sys_Put_Out Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_0
             IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_0"
+	    IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat	
         fi
     fi
Index: /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_GES/COMP/lmdz.driver
===================================================================
--- /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_GES/COMP/lmdz.driver	(revision 1295)
+++ /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_GES/COMP/lmdz.driver	(revision 1296)
@@ -101,7 +101,8 @@
     if [ ${CumulPeriod} -eq 1 ] ; then
         if [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
-            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat; IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
+            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
             IGCM_sys_Put_Out Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_0
             IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_0"
+	    IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
         fi
     fi
Index: /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_NMHC/COMP/lmdz.driver
===================================================================
--- /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_NMHC/COMP/lmdz.driver	(revision 1295)
+++ /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_NMHC/COMP/lmdz.driver	(revision 1296)
@@ -101,7 +101,8 @@
     if [ ${CumulPeriod} -eq 1 ] ; then
         if [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
-            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat; IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
+            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
             IGCM_sys_Put_Out Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_0
             IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_0"
+            IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
         fi
     fi
Index: /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_NMHC_AER/COMP/lmdz.driver
===================================================================
--- /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_NMHC_AER/COMP/lmdz.driver	(revision 1295)
+++ /CONFIG/LMDZORINCA/tags/LMDZORINCA_v4_1/EXP_NMHC_AER/COMP/lmdz.driver	(revision 1296)
@@ -101,7 +101,8 @@
     if [ ${CumulPeriod} -eq 1 ] ; then
         if [ ${LMDZ_NbPeriod_adjust} -eq 0 ] ; then
-            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat; IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
+            IGCM_sys_Get ${LMDZ_Bands_file_name} Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
             IGCM_sys_Put_Out Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat ${R_OUT_ATM_D}/${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_0
             IGCM_debug_Print 1 "Bands file forced to ${LMDZ_Bands_file_name} and stored in ${config_UserChoices_JobName}_Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat_0"
+            IGCM_sys_Chmod u+w Bands_${BandsResol}_${NUM_PROC_ATM}prc.dat
         fi
     fi